<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:weightSum="18"
    android:orientation="vertical" >

    <!-- 显示扫码信息 -->
    <LinearLayout
        android:layout_width="fill_parent"
        android:layout_height="wrap_content"
        android:layout_weight="4.06"
        android:background="@drawable/editsharp"
        android:orientation="vertical" >

        <TextView
            android:id="@+id/device_msg"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="暂无扫码信息" />
    </LinearLayout>

    <LinearLayout
        android:layout_width = "fill_parent"
        android:layout_height = "wrap_content"
        android:orientation="horizontal"
        android:weightSum="2"
        android:background="@drawable/editsharp">
        <Button
            android:id="@+id/start_scan"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:text="开始扫码"/>
        <Button
            android:id="@+id/stop_scan"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:text="结束扫码"/>
    </LinearLayout>

    <LinearLayout
        android:layout_width="fill_parent"
        android:layout_height="wrap_content"
        android:layout_weight="12.28"
        android:background="@drawable/editsharp"
        android:orientation="vertical" >

        <TextView
            android:id="@+id/device_status"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text=">" />
    </LinearLayout>

</LinearLayout>